Priority: High
Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented
Description

This is a regression in 2.18 as the scenario I'm about to describe works flawlessly in QGIS Server 2.14.

Let's use only QGIS Server here, but the source of our external WFS layers could be any WFS service.

1) Create a QGIS project

2) Add a WFS layer from a whatever service

3) Configure the OWS properties of the project in order to allow it be used to publish OGC services. Be sure to enable the WFS

capabilities for the just added external WFS layer

4) Save the project

5) Put the project somewhere (server or local machine) where it can be published with QGIS Server

6) In a clean QGIS project create a WMS or WFS connection pointing to the service created with the project saved previously

7) Try add as WMS or WFS the layer that originally we added from an external WFS service

If used QGIS Server is 2.14 it works ok 100% of time, if is 2.18 then most of the times the retrieval of images (WMS) or features (WFS)

fail. Scrolling/zooming/panning makes sometimes the images/features show, but most of the times it does not work.

Related issues:

Duplicates QGIS Application - Bug report # 16462: QGIS Server lost the abilit... Closed 2017-04-23

History

#1 - 2018-02-02 01:56 PM - Alessandro Pasotti

This does not affect master, correct?

#2 - 2018-02-02 02:36 PM - Nicolai Mogensen

I am experiencing the same issue on QGIS server Version: 1:2.18.14+24xenial (2.18.14). WFS layers will toggle on and off randomly. Our services are

external WFS services. The behavior is exactly as described by Giovanni. Sometimes panning and zooming will make some layers appear, but most of the

time no layers are drawn.

#3 - 2018-02-15 12:29 PM - Giovanni Manghi

- Status changed from Open to Feedback

To check if this applies also to qgis server 3-
#4 - 2018-03-16 04:26 PM - Alessandro Pasotti

Can you please attach a sample project?

#5 - 2018-03-16 05:21 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

I cannot reproduce:

I've built a simple project with one WMS and one WFS https cascaded layers from the official geoserver demo.

Serving that project with QGIS Server 2.18 shows no issues.

Attaching the project.

#6 - 2018-03-16 05:23 PM - Alessandro Pasotti

- File bug_17951.qgs added

#7 - 2018-04-05 12:02 PM - Alessandro Pasotti

- Duplicates Bug report #16462: QGIS Server lost the ability to cascade WMS layers published using HTTPS added

#8 - 2018-06-01 02:02 PM - René-Luc ReLuc

If this issue duplicates #16462

The solution is the same.

To fix this issue, you have to add HOME environmental variable to a directory in which the directory .qgis2 is writable for the user used by QGIS Server,

with Apache2, it's www-data.

For exemple, do these commands:

mkdir /srv/qgis/.qgis2

chown www-data:www-data /srv/qgis/.qgis2

chmod 774 /srv/qgis/.qgis2

And add this in your apache virtual host:

FcgidInitialEnv HOME "/srv/qgis" 

#9 - 2018-06-01 03:01 PM - Giovanni Manghi

René-Luc ReLuc wrote:

If this issue duplicates #16462

2025-05-17 2/4



The solution is the same.

To fix this issue, you have to add HOME environmental variable to a directory in which the directory .qgis2 is writable for the user used by QGIS

Server, with Apache2, it's www-data.

For exemple, do these commands:

[...]

And add this in your apache virtual host:

[...]

is this a workaround awaiting for the proper fix, or is really the right solution?

#10 - 2018-06-01 04:06 PM - René-Luc ReLuc

It's not a workaround, it's the solution.

#11 - 2018-06-01 05:27 PM - Alessandro Pasotti

@Renè: any reason to not close this?

#12 - 2018-06-01 05:29 PM - Giovanni Manghi

René-Luc ReLuc wrote:

It's not a workaround, it's the solution.

I'll document it then.

#13 - 2018-06-03 04:57 PM - Giovanni Manghi

René-Luc ReLuc wrote:

It's not a workaround, it's the solution.

one additional question: why is this necessary now, while is wasn't in older QGIS Server releases?

#14 - 2018-06-03 06:12 PM - Giovanni Manghi

René-Luc ReLuc wrote:

It's not a workaround, it's the solution.

gave it a try and seems to work as you described, thanks!
#15 - 2018-06-03 08:38 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

https://github.com/qgis/QGIS-Documentation/pull/2665

Files

bug_17951.qgs 26.4 KB 2018-03-16 Alessandro Pasotti
